org.apache.ignite.internal.visor.encryption

## Class VisorReencryptionSuspendTask

- java.lang.Object
- - org.apache.ignite.internal.visor.VisorMultiNodeTask<VisorCacheGroupEncryptionTaskArg,VisorCacheGroupEncryptionTaskResult<T>,VisorCacheGroupEncryptionTask.VisorSingleFieldDto<T>>
  - - org.apache.ignite.internal.visor.encryption.VisorCacheGroupEncryptionTask<Boolean>
    - - org.apache.ignite.internal.visor.encryption.VisorReencryptionSuspendTask

All Implemented Interfaces:
  Serializable, ComputeTask<VisorTaskArgument<VisorCacheGroupEncryptionTaskArg>,VisorCacheGroupEncryptionTaskResult<Boolean>>

    @GridInternal
    public class VisorReencryptionSuspendTask
    extends VisorCacheGroupEncryptionTask<Boolean>

Suspend re-encryption of the cache group.

See Also:
  Serialized Form

### Nested Class Summary

Nested Classes
`protected static class` `VisorReencryptionSuspendTask.VisorReencryptionSuspendResumeJobResult`

### Nested classes/interfaces inherited from class org.apache.ignite.internal.visor.encryption.VisorCacheGroupEncryptionTask

`VisorCacheGroupEncryptionTask.VisorReencryptionBaseJob<T>, VisorCacheGroupEncryptionTask.VisorSingleFieldDto<T>`

### Field Summary

### Fields inherited from class org.apache.ignite.internal.visor.VisorMultiNodeTask

`debug, ignite, start, taskArg`

### Constructor Summary

Constructors
Constructor and Description
`VisorReencryptionSuspendTask()`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected VisorJob<VisorCacheGroupEncryptionTaskArg,VisorCacheGroupEncryptionTask.VisorSingleFieldDto<Boolean>>` `job(VisorCacheGroupEncryptionTaskArg arg)`

### Methods inherited from class org.apache.ignite.internal.visor.encryption.VisorCacheGroupEncryptionTask

`reduce0`

### Methods inherited from class org.apache.ignite.internal.visor.VisorMultiNodeTask

`jobNodes, map, map0, reduce, result`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### VisorReencryptionSuspendTask

    public VisorReencryptionSuspendTask()

### Method Detail

#### job

    protected VisorJob<VisorCacheGroupEncryptionTaskArg,VisorCacheGroupEncryptionTask.VisorSingleFieldDto<Boolean>> job(VisorCacheGroupEncryptionTaskArg arg)

Specified by:
  `job` in class `VisorMultiNodeTask<VisorCacheGroupEncryptionTaskArg,VisorCacheGroupEncryptionTaskResult<Boolean>,VisorCacheGroupEncryptionTask.VisorSingleFieldDto<Boolean>>`
Parameters:
  `arg` - Task arg.
Returns:
  New job.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.11.1
Release Date | : December 20 2021